DEV: Prevent npm usage (PR #13945)

We rely on yarn workspaces so we don’t want people using npm in the repo by accident.

Also updated required node version to 12+. Not sure about the min yarn version – the latest one could be missing in various CI-like envs, so I might change it yet.

GitHub